Bug 9665 - /etc/profile.d/kde.sh is shel dialect specific
Summary: /etc/profile.d/kde.sh is shel dialect specific
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdesupport   
(Show other bugs)
Version: 6.1
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-02-22 03:40 UTC by Cameron Simpson
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-22 03:40:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Cameron Simpson 2000-02-22 03:40:01 UTC
The kde.sh file says
	if ! echo $PATH | grep -q $kdepath; then
This is a bash-specific shellism. It is VITALLY IMPORTANT that
shell startup files do not contain peculiarities of one shell but
are portable shell. My shell for example is a Bourne shell which does
not have the ! builtin (and certainly not anything which acts the
way the above script appears to desire - !ing the entire pipeline).

A portable way to write this would be
	if echo "$PATH" | grep -v -q "$kdepath"; then
which would work in any Bourne shell.

Comment 1 Bernhard Rosenkraenzer 2000-06-12 21:25:02 UTC
Thanks, fixed.


Note You need to log in before you can comment on or make changes to this bug.